org.apache.struts2.osgi

## Class SpringOsgiObjectFactory

- java.lang.Object
- - com.opensymphony.xwork2.ObjectFactory
  - - org.apache.struts2.osgi.SpringOsgiObjectFactory

- All Implemented Interfaces:
    Serializable

      public class SpringOsgiObjectFactory
      extends ObjectFactory

  This Object factory uses the ActionContext(s) published by Spring OSGi to lookup beans
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringOsgiObjectFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `buildBean(Class clazz, Map<String,Object> extraContext)`
    `Object` | `buildBean(String className, Map<String,Object> extraContext, boolean injectInternal)`
    `protected boolean` | `containsBean(String beanName)`
    `protected Object` | `getBean(String beanName)`
    `Class` | `getClassInstance(String className)`
    `void` | `setBundleAccessor(BundleAccessor bundleAccessor)`

    - ### Methods inherited from class com.opensymphony.xwork2.ObjectFactory

      `buildAction, buildBean, buildConverter, buildInterceptor, buildResult, buildUnknownHandler, buildValidator, injectInternalBeans, isNoArgConstructorRequired, setActionFactory, setClassLoader, setContainer, setConverterFactory, setInterceptorFactory, setResultFactory, setUnknownHandlerFactory, setValidatorFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringOsgiObjectFactory

          public SpringOsgiObjectFactory()

  - ### Method Detail

    - #### buildBean

          public Object buildBean(String className,
                         Map<String,Object> extraContext,
                         boolean injectInternal)
                           throws Exception

      Overrides:
        `buildBean` in class `ObjectFactory`
      Throws:
        `Exception`

    - #### buildBean

          public Object buildBean(Class clazz,
                         Map<String,Object> extraContext)
                           throws Exception

      Overrides:
        `buildBean` in class `ObjectFactory`
      Throws:
        `Exception`

    - #### getClassInstance

          public Class getClassInstance(String className)
                                 throws ClassNotFoundException

      Overrides:
        `getClassInstance` in class `ObjectFactory`
      Throws:
        `ClassNotFoundException`

    - #### getBean

          protected Object getBean(String beanName)

    - #### containsBean

          protected boolean containsBean(String beanName)

    - #### setBundleAccessor

          public void setBundleAccessor(BundleAccessor bundleAccessor)

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.